# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server.models.device_health_issues import DeviceHealthIssues  # noqa: F401,E501
from swagger_server import util


class DeviceHealth(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, status: str=None, issues: List[DeviceHealthIssues]=None):  # noqa: E501
        """DeviceHealth - a model defined in Swagger

        :param status: The status of this DeviceHealth.  # noqa: E501
        :type status: str
        :param issues: The issues of this DeviceHealth.  # noqa: E501
        :type issues: List[DeviceHealthIssues]
        """
        self.swagger_types = {
            'status': str,
            'issues': List[DeviceHealthIssues]
        }

        self.attribute_map = {
            'status': 'status',
            'issues': 'issues'
        }
        self._status = status
        self._issues = issues

    @classmethod
    def from_dict(cls, dikt) -> 'DeviceHealth':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The deviceHealth of this DeviceHealth.  # noqa: E501
        :rtype: DeviceHealth
        """
        return util.deserialize_model(dikt, cls)

    @property
    def status(self) -> str:
        """Gets the status of this DeviceHealth.


        :return: The status of this DeviceHealth.
        :rtype: str
        """
        return self._status

    @status.setter
    def status(self, status: str):
        """Sets the status of this DeviceHealth.


        :param status: The status of this DeviceHealth.
        :type status: str
        """

        self._status = status

    @property
    def issues(self) -> List[DeviceHealthIssues]:
        """Gets the issues of this DeviceHealth.


        :return: The issues of this DeviceHealth.
        :rtype: List[DeviceHealthIssues]
        """
        return self._issues

    @issues.setter
    def issues(self, issues: List[DeviceHealthIssues]):
        """Sets the issues of this DeviceHealth.


        :param issues: The issues of this DeviceHealth.
        :type issues: List[DeviceHealthIssues]
        """

        self._issues = issues
